View Issue Details

IDProjectCategoryView StatusLast Update
0028368RunnerUWPPublic2018-06-29 11:38
ReporterStewart BishopAssigned ToFritz 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
PlatformUWPOSWindows 10OS Version
Product VersionPre-2.1.3 
Target Version2.2.1Fixed in Version2.2.1 
Summary0028368: UWP: http requests do not trigger the http async event
DescriptionUWP http requests do not trigger the http async event, breaking features in my game.

I have included a test project, though since it's UWP specific it might take some finagling to get running. The debugger shows the request being sent and then nothing after. It works on regular Windows, as you can see by running it.

The file it fetches is a text file from my website.
Steps To Reproduce1) Run the project on Windows
2) Run the project on UWP
TagsNo tags attached.
1.4 Found In
2.x Runtime Found In2.1.2.172
2.x Runtime Verified In9.9.1.1075

Relationships

related to 0028341 ClosedMike Dailly Functions: HTTP Functions on Ubuntu are completely broken 

Activities

Stewart Bishop

2017-11-20 15:22

Developer  

httptest.yyz (13,957 bytes)

GameGeisha

2017-11-21 04:22

Updater   ~0056711

This should NOT be low priority if 0028341 is considered very high priority. HTTP functions are the basis of REST API integrations and need to be working.

Andreas Mustola

2017-12-28 06:03

Reporter   ~0057143

GM 1.4 got the same issue with UWP export.
Ticket: 138434 (no id yet)

Fritz

2018-06-18 15:56

Manager   ~0060447

Fixed by fix for https://bugs.yoyogames.com/view.php?id=28341

Stewart Bishop

2018-06-28 14:55

Developer   ~0060720

Reopening as this is not fixed, the bug linked only fixed an issue on Ubuntu as seen in the commit provided.

Fritz

2018-06-28 16:29

Manager   ~0060732

Not sure why I had commented that this was fixed by that other bug - the git sha for the fix for this is 690a5d0b5c50e5146bb99921279fb5cbaff1e898 and it also requires 3aeeb6e3be5e0ea909ae0581a8074f37e0c548fb

Fritz

2018-06-29 11:38

Manager   ~0060749

There was another change needed - git sha 698c26b1ace6061fc1bc25e994e9e808735668d0